Bug 447607 - Review Request: abgraph - ABGraph is a simple tool to benchmark webservers
Review Request: abgraph - ABGraph is a simple tool to benchmark webservers
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-20 15:35 EDT by Marek Mahut
Modified: 2008-07-02 13:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-02 13:59:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
build log from mock (3.14 KB, text/plain)
2008-06-20 23:53 EDT, Peter Fernandes
no flags Details

  None (edit)
Description Marek Mahut 2008-05-20 15:35:57 EDT
Spec URL: http://mmahut.fedorapeople.org/reviews/abgraph/abgraph.spec
SRPM URL: http://mmahut.fedorapeople.org/reviews/abgraph/abgraph-1.0-1.fc8.src.rpm
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=620845
Description: ABGraph is a simple tool to benchmark webservers.
The program uses ab (apache benchmark) to actually
benchmark the selected remote host. A graph in PNG format
is generated with gnuplot and saved to the selected path/file.
Comment 1 Lubomir Rintel 2008-05-20 16:01:10 EDT
I'll approve this, once you re-roll the package without the %setup weirdness,
and patch out the insecure temporary file uses, as we talked about on irc.

rpmlint is quiet, qa tool is happy, and so am I.
Comment 2 Lubomir Rintel 2008-05-28 21:57:37 EDT
I am wondering what's the state of this?
Comment 3 Marek Mahut 2008-05-29 10:46:12 EDT
Lubomir, it's fixed:

  http://mmahut.fedorapeople.org/reviews/abgraph/abgraph-1.1-1.fc8.src.rpm
Comment 4 Lubomir Rintel 2008-05-29 11:10:31 EDT
Marek: The insecure tmp fix seems well, though I am not sure whether you should
have bumped the version number. Did you agree with upstream on that? If yes, why
don't you include new upstream tarball, or use the alpha tag in revision in case
the release is pending.
Comment 5 Jason Tibbitts 2008-06-18 16:35:38 EDT
Please remember to set the flags properly when you begin a review.
Comment 6 Peter Fernandes 2008-06-20 23:53:35 EDT
Created attachment 309963 [details]
build log from mock

The build log from building abgraph with mock.
Comment 7 Peter Fernandes 2008-06-20 23:54:51 EDT
Comment on attachment 309963 [details]
build log from mock

No errors building abgraph with mock:
mock -r fedora-8-i386 rebuild abgraph-1.0-1.fc8.src.rpm
Comment 8 Marek Mahut 2008-06-21 11:38:40 EDT
Lubomir, yes, upstream promised to release it this weekend.
Comment 9 Marek Mahut 2008-06-25 16:54:52 EDT
Lubomir, see new SRPM:
http://mmahut.fedorapeople.org/reviews/abgraph/abgraph-1.1-1.fc8.src.rpm
Comment 10 Lubomir Rintel 2008-07-02 07:55:25 EDT
Thanks, Marek -- I do not see any more issues with this package.

APPROVED
Comment 11 Marek Mahut 2008-07-02 08:02:35 EDT
Thanks Lubomir...

New Package CVS Request
=======================
Package Name: abgraph
Short Description: ABGraph is a simple tool to benchmark webservers
Owners: mmahut
Branches: F-8 F-9 EL-5
Cvsextras Commits: yes
Comment 12 Kevin Fenzi 2008-07-02 12:39:53 EDT
cvs done.
Comment 13 Marek Mahut 2008-07-02 13:59:35 EDT
Built et al. Thanks all.

Note You need to log in before you can comment on or make changes to this bug.